Subject: Re: Error in `git': free(): invalid pointer (was Re: [PATCH] sequencer: improve config handling)

From: "[email-masked]" <[email-masked]>
Date: Fri, 22 Dec 2017 10:47:39 +0000 (GMT)

>----Original Message----
>From: [email-masked]
>Date: 21/12/2017 17:14 
>To: "[email-masked]"<[email-masked]>, "Phillip 
Wood"<[email-masked]>, "Git Mailing List"<[email-masked].
org>
>Cc: "Johannes Schindelin"<[email-masked]>
>Subj: Re: Error in `git&#39;: free(): invalid pointer (was Re: [PATCH] 
sequencer: improve config handling)
>
>On Thu, 2017-12-21 at 16:53 +0000, [email-masked] wrote:
>> Hm, There is a problem with sequencer_remove_state() which does 
>> 
>> free(opts->gpg_sign)
>> 
>> however unless a gpg key was given on the commandline, opts->gpg is 
>> initialized to "" which is statically allocated. 
>> 
>> This untested diff should fix that,
>
>It did seem to. I don't get that error any more.

That's good, thanks for testing it

>>  but I'm not sure if you're problem 
>> is related to it
>
>As the fix you suggested did work, I think the problem is related. Did
>you have anything else in mind when you said you're not sure whether 
or
>not it's related?

I didn't have anything else in mind, but at that point I hadn't noticed 
that one of your previous messages said you had gpg signing turned on - 
as you do it makes sense that the patch fixed it.

Thanks again for reporting this and testing the fix - it seems the test 
suite has a bit of a blind spot when it comes to gpg signing, I guess 
it's difficult to set up a key for tests

I'll send a proper patch when I have time in a few days

Best Wishes

Phillip